[user]
	name = Sanchayan Maity
	email = sanchayan@sanchayanmaity.net
	login = sanchayanmaity
[core]
	editor = "nvim"
	pager = delta --dark
	excludesfile = ~/.config/git/ignore
[color]
	ui = true
[sendemail]
	smtpserver = /usr/bin/msmtp
[http]
	sslVerify = false
[fetch]
	prune = true
	pruneTags = true
[diff]
	colorMoved = default
[merge]
	tool = diffconflicts
	conflictstyle = diff3
	ff = only
[mergetool]
	prompt = false
	keepBackup = false
[mergetool "diffconflicts"]
	cmd = nvim -c DiffConflicts "$MERGED" "$BASE" "$LOCAL" "$REMOTE"
	trustExitCode = true
[rebase]
	autosquash = true
	autoStash = true
[commit]
	verbose = true
[pull]
	rebase = false
[push]
	followTags = true
[interactive]
	diffFilter = delta --color-only
[delta]
	navigate = true
	features = line-numbers decorations
	whitespace-error-style = 22 reverse
[advice]
	addEmptyPathspec = false
[init]
	defaultBranch = master
